## telly-skout 25.08.2+p24.04+vstable+git20251011.0958

=== debian/changelog ===
telly-skout (25.08.2+p24.04+vstable+git20251011.0958-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:58:42 +0000
