## telly-skout 25.08.2+p24.04+vstable+git20251015.1054

=== debian/changelog ===
telly-skout (25.08.2+p24.04+vstable+git20251015.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:54:50 +0000
