=== debian/control ===
Source: telly-skout
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-qqc2-desktop-style-dev,
               pkg-kde-tools-neon,
               qt6-declarative-dev
Standards-Version: 4.6.2
Section: kde
Homepage: https://invent.kde.org/plasma-mobile/telly-skout
Vcs-Git: https://invent.kde.org/neon/neon-packaging/telly-skout.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/telly-skout
Maintainer: Neon CI <neon@kde.org>

Package: telly-skout
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TV guide app from Plasma Mobile
 Telly Skout is a convergent Kirigami TV guide. It shows the TV
 program for your favorite channels from TV Spielfilm or an XMLTV
 file.
