## telly-skout 25.08.3+p24.04+vunstable+git20251204.0232

=== debian/changelog ===
telly-skout (25.08.3+p24.04+vunstable+git20251204.0232-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:32:41 +0000
