## telly-skout 25.12.0+p24.04+vunstable+git20251208.1136

=== debian/changelog ===
telly-skout (25.12.0+p24.04+vunstable+git20251208.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:36:20 +0000
