## telly-skout 25.12.1+p24.04+vstable+git20260205.0628

=== debian/changelog ===
telly-skout (25.12.1+p24.04+vstable+git20260205.0628-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:28:01 +0000
