## telly-skout 25.12.1+p24.04+vunstable+git20260201.0652

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(telly-skout VERSION ${RELEASE_SERVICE_VERSION})
@@ -74,7 +74,7 @@
 
 set(CMAKE_CXX_STANDARD 17)
 if(MSVC)
-    add_compile_options(/W3 /WX)
+    add_compile_options(/W3)
 else()
     add_compile_options(-Wall -Wextra -Wconversion -Wsign-conversion -pedantic)
