## telly-skout 25.12.2

=== debian/changelog ===
telly-skout (25.12.2-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 06:36:59 +0000

telly-skout (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:14:56 +0000
