=== debian/changelog ===
telly-skout (25.12.2+p24.04+vstable+git20260207.0636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 06:36:51 +0000
