## telly-skout 25.12.2+p24.04+vunstable+git20260207.0637

=== debian/changelog ===
telly-skout (25.12.2+p24.04+vunstable+git20260207.0637-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 06:37:37 +0000
